Project

Profile

Help

Story #179

Enhancement request: Please allow for multiple --from-repo-id's in repo copy commands

Added by strobert@strobe.net almost 7 years ago. Updated over 2 years ago.

Status:
CLOSED - WONTFIX
Priority:
Low
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

++ This bug was initially created as a clone of Bugzilla Bug #947541 ++

Description of problem:

I'm trying to pull in a select set of rpm's including their deps into a pulp repo.

I have a number of source sources for el6 (names should be fairly self explanatory):
rhn-rhels6
rhn-rhels6-optional
epel-el6
pulp-el6
puppet-el6-deps
puppet-el6-prods

so I made a scratch repo test0, then tried to run:
pulp-admin rpm repo copy rpm -f puppet-el6-prods -t test0 --filters='{ "name": { "$in": [ "puppet"]} }' -r

it only pulls in the 38 puppet rpm versions and no deps, which makes some sense since it wouldn't know if it should pull ruby from rhn-rhels6 or rhn-rhels5 for example.

so thinking would be nice to allow for multiple -f's args, so for example:
pulp-admin rpm repo copy rpm -f puppet-el6-prods -f puppet-el6-deps -f rhn-rhels6 -f epel-el6 -t test0 --filters='{ "name": { "$in": [ "tcsh", "bash", "puppet"]} }' -r

History

#1 Updated by bmbouter over 2 years ago

  • Status changed from NEW to CLOSED - WONTFIX

#2 Updated by bmbouter over 2 years ago

Pulp 2 is approaching maintenance mode, and this Pulp 2 ticket is not being actively worked on. As such, it is being closed as WONTFIX. Pulp 2 is still accepting contributions though, so if you want to contribute a fix for this ticket, please reopen or comment on it. If you don't have permissions to reopen this ticket, or you want to discuss an issue, please reach out via the developer mailing list.

#3 Updated by bmbouter over 2 years ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF